/* Copyright 1988 Bradley N. Davis, Darbick Instructional Software Systems */
/* See permission and disclaimer notice in file "bnd-note.h" */
#include	"bnd-note.h"
/*  Copyright 1986 by Carnegie Mellon  */
/*  See permission and disclaimer notice in file "cmu-note.h"  */
#include	<cmu-note.h>
/*  Copyright 1984 by the Massachusetts Institute of Technology  */
/*  See permission and disclaimer notice in file "notice.h"  */
#include	<notice.h>

#include <stdio.h>
#include <types.h>
#include <task.h>
#include <q.h>
#include <netq.h>
#include <net.h>
#include <custom.h>
#include <netbuf.h>
#include <ether.h>
#include <timer.h>
#include <int.h>
#include "wd8003.h"
#ifdef	WATCH
#include <match.h>
#endif

/* 10/3/84 - removed Init1(); changed to handle the new net structure
						<John Romkey>
   8/9/85 - rewrote to work with new NET structure.
						<John Romkey>
   3/24/86 - (re)added et_swtch routine.  Why did John remove it?
	Decreased demux task stack size back to 1400 like last version.
	Why was it raised to 5400?  There shouldn't be a problem.  Seemed
	like paranoia.
						<Drew D. Perkins>
   8/5/86 - Add new elements of net structure for bootp support.
						<Drew D. Perkins>
*/

/* This is the network configuration file for the new IP code. This file
	sets up the configuration for a single ethernet interface
	machine. Programs which want to use multiple net interfaces
	should use their own configuration file.
*/

/* random fnctns. */
int w_init(), w_send(), w_switch(), w_stat(), w_close(), ip_ether_send();
int w_demux(), w_poke(), w_keepalive();

char _net_if_name = 'W';	/* DDP - Default NETCUST = "NETCUSTW" */
int Nnet = 1;		/* The number of networks. */
extern char _wme[6];
NET nets[1] = { "Western Digital 8003 Ethernet",	/* interface name */
		w_init,		/* initialization routine */
		w_send,		/* raw packet send routine */
		w_switch,	/* DDP interrupt vector swap routine */
		w_close,	/* shutdown routine */
/*		ip_ether_send,	/* ip packet send routine */
		NULL,
		w_stat,		/* statistics routine */
		NULL,		/* demultiplexing task */
		NULL,		/* packet queue */
				/* first parameter...*/
#ifdef	WATCH
		ALLPACK,	/* ...promiscuous mode for netwatch */
#else
		0,		/* ...normal mode for others */
#endif
		0,		/* second parameter unused */
		1400,		/* DDP demux task stack size */
		14,		/* local net header size */
		0,		/* local net trailer size */
		0L,		/* ip address */
		0L,		/* default gateway */
		0L,		/* network broadcast address */
		0L,		/* 4.2bsd network broadcast address */
		0L,		/* subnetwork broadcast address */
		&custom,	/* our custom structure! */
		6,		/* hardware address length */
		ARETHx,		/* hardware type */
		_wme,		/* pointer to hardware address */
		NULL		/* per interface info */
	};
